<configuration>

    <variable name="SYNAPTIX_LOG_LEVEL" value="${SYNAPTIX_LOG_LEVEL:-DEBUG}"/>

    <appender name="STDOUT" class="ch.qos.logback.core.ConsoleAppender">
        <withJansi>true</withJansi>
        <encoder>
            <pattern>[%highlight(%-5level)] %date{"yyyy-MM-dd HH:mm:ss", Europe/Paris} %logger - %.-1000msg%n</pattern>
        </encoder>
    </appender>

    <logger name="org.ddf.wiktionnaire.contrib.export" level="${SYNAPTIX_LOG_LEVEL}" additivity="false">
        <appender-ref ref="STDOUT"/>
    </logger>

    <logger name="com.mnemotix" level="${SYNAPTIX_LOG_LEVEL}" additivity="false">
        <appender-ref ref="STDOUT"/>
    </logger>

    <root level="ERROR">
        <appender-ref ref="STDOUT"/>
    </root>
</configuration>